net.minecraft.network.play.server

## Class S0CPacketSpawnPlayer

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S0CPacketSpawnPlayer

-     public class S0CPacketSpawnPlayer
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S0CPacketSpawnPlayer()`
    `S0CPacketSpawnPlayer(EntityPlayer p_i45171_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `func_148941_i()`
    `int` | `func_148942_f()`
    `int` | `func_148943_d()`
    `java.util.List` | `func_148944_c()`
    `byte` | `func_148945_j()`
    `int` | `func_148946_h()`
    `int` | `func_148947_k()`
    `com.mojang.authlib.GameProfile` | `func_148948_e()`
    `int` | `func_148949_g()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_148950_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S0CPacketSpawnPlayer

          public S0CPacketSpawnPlayer()

    - #### S0CPacketSpawnPlayer

          public S0CPacketSpawnPlayer(EntityPlayer p_i45171_1_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_148950_1_)

    - #### func_148944_c

          public java.util.List func_148944_c()

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### func_148943_d

          public int func_148943_d()

    - #### func_148948_e

          public com.mojang.authlib.GameProfile func_148948_e()

    - #### func_148942_f

          public int func_148942_f()

    - #### func_148949_g

          public int func_148949_g()

    - #### func_148946_h

          public int func_148946_h()

    - #### func_148941_i

          public byte func_148941_i()

    - #### func_148945_j

          public byte func_148945_j()

    - #### func_148947_k

          public int func_148947_k()

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`